ru.bitel.bgbilling.plugins.cashcheck.server.bean

## Class AddPaymentCheckEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.cashcheck.server.bean.AddPaymentCheckEvent

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  для формирования вида чека использовать динамический код, события устарели

      @Deprecated
      public class AddPaymentCheckEvent
      extends LocalEvent

  Синхронный эвент добавления позиции в чек, скрипт служит для формирования вида каждой позиции в чеке - добавление каментов может каких итд итп.
  Author:
    dimon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AddPaymentCheckEvent()` Deprecated.
    `` | `AddPaymentCheckEvent(int pluginId, Payment payment, Check check, Printer printer)` Deprecated. для формирования вида чека использовать динамический код, события устарели

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Check` | `getCheck()` Deprecated. Возвращает чек и помечает данное событие как обработанное скриптом
    `Payment` | `getPayment()` Deprecated. Возвращает платеж
    `int` | `getPaymentDep()` Deprecated. привязка в конфиге больше не используется, отдел согласно платежу/регистратору вычисляется и заполняется теперь в скрипте формирования вида чека, так универсальнее. ВНИМАНИЕ: здесь всегда возвращается 0 ("без отдела") теперь! Подробнее: http://forum.bgbilling.ru/viewtopic.php?f=28&t=4316
    `Printer` | `getPrinter()` Deprecated. Текущий выбранный принтер, на котором печатается.
    `int` | `getTypeId()` Deprecated. Для поддержки совместимости со старыми событиями с данным методом, который могли использовать скрипты.
    `boolean` | `isWasExecuted()` Deprecated. Использовался ли этот эвент в скрипте (выполнялся ли скрипт); Это определяется так: если кто-либо хоть раз вызывал event.getCheck(), значит считается, что эвент побывал в скрипте.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPaymentCheckEvent

          protected AddPaymentCheckEvent()

      Deprecated.

    - #### AddPaymentCheckEvent

          @Deprecated
          public AddPaymentCheckEvent(int pluginId,
                                                  Payment payment,
                                                  Check check,
                                                  Printer printer)

      Deprecated. для формирования вида чека использовать динамический код, события устарели
      Конструктор
      Parameters:
        `pluginId` - uid плагина
        `payment` - объект паймент (расширеный, используемый в плагине CashCheck)
        `check` - объект чек
        `printer` - объект типа Printer

  - ### Method Detail

    - #### getTypeId

          public int getTypeId()

      Deprecated.
      Description copied from class: `Event`
      Для поддержки совместимости со старыми событиями с данным методом, который могли использовать скрипты. Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getCheck

          public Check getCheck()

      Deprecated.
      Возвращает чек и помечает данное событие как обработанное скриптом
      Returns:
        объект "чек"

    - #### getPayment

          public Payment getPayment()

      Deprecated.
      Возвращает платеж
      Returns:
        платеж

    - #### getPaymentDep

          @Deprecated
          public int getPaymentDep()

      Deprecated. привязка в конфиге больше не используется, отдел согласно платежу/регистратору вычисляется и заполняется теперь в скрипте формирования вида чека, так универсальнее. ВНИМАНИЕ: здесь всегда возвращается 0 ("без отдела") теперь! Подробнее: http://forum.bgbilling.ru/viewtopic.php?f=28&t=4316
      Отдел, которому сопоставлен этот платеж (согласно конфигу).
      Returns:
        номер отдела

    - #### isWasExecuted

          public boolean isWasExecuted()

      Deprecated.
      Использовался ли этот эвент в скрипте (выполнялся ли скрипт); Это определяется так: если кто-либо хоть раз вызывал event.getCheck(), значит считается, что эвент побывал в скрипте. Задумка для того, чтобы в экшене знать - предусмотрен ли для формирования внешнего вида чека скрипт или взять по дефолту.
      Returns:
        true - скрипт был обнаружен

    - #### getPrinter

          public Printer getPrinter()

      Deprecated.
      Текущий выбранный принтер, на котором печатается.
      Returns:
        объект Printer.